'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.borderRightRadius = exports.borderLeftRadius = exports.borderTopRadius = exports.borderBottomRadius = exports.visuallyHidden = exports.fixedFill = exports.absoluteFill = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.alignment = alignment;

var _styleCreatorFromKey = require('./utils/styleCreatorFromKey');

var _styleCreatorFromKey2 = _interopRequireDefault(_styleCreatorFromKey);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var absoluteFill = exports.absoluteFill = {
  position: 'absolute',
  left: 0,
  right: 0,
  top: 0,
  bottom: 0
};

var fixedFill = exports.fixedFill = _extends({}, absoluteFill, {
  position: 'fixed'
});

var visuallyHidden = exports.visuallyHidden = {
  position: 'absolute',
  width: 1,
  height: 1,
  padding: 0,
  margin: -1,
  overflow: 'hidden',
  clip: 'rect(0, 0, 0, 0)',
  border: 0
};

var borderBottomRadius = exports.borderBottomRadius = function borderBottomRadius(r) {
  return (0, _styleCreatorFromKey2.default)('borderBottom', 'Radius')({ horizontal: r });
};

var borderTopRadius = exports.borderTopRadius = function borderTopRadius(r) {
  return (0, _styleCreatorFromKey2.default)('borderTop', 'Radius')({ horizontal: r });
};

var borderLeftRadius = exports.borderLeftRadius = function borderLeftRadius(r) {
  return (0, _styleCreatorFromKey2.default)('border', 'LeftRadius')({ vertical: r });
};

var borderRightRadius = exports.borderRightRadius = function borderRightRadius(r) {
  return (0, _styleCreatorFromKey2.default)('border', 'RightRadius')({ vertical: r });
};

var flexAlignValues = {
  start: 'flex-start',
  end: 'flex-end',
  center: 'center'
};

function alignment(arg) {
  var direction = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'column';

  var style = { flexDirection: direction };

  if (typeof arg === 'string') {
    return _extends({}, style, {
      justifyContent: flexAlignValues[arg],
      alignItems: flexAlignValues[arg]
    });
  }

  var x = arg.x,
      y = arg.y;

  var isRow = direction === 'row';
  var xAxis = isRow ? 'justifyContent' : 'alignItems';
  var yAxis = isRow ? 'alignItems' : 'justifyContent';

  if (x) {
    style[xAxis] = flexAlignValues[x];
  }

  if (y) {
    style[yAxis] = flexAlignValues[y];
  }

  return style;
}