'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.orange = exports.yellow = exports.lime = exports.green = exports.teal = exports.cyan = exports.blue = exports.indigo = exports.violet = exports.grape = exports.pink = exports.red = exports.gray = exports.black = exports.white = undefined;

var _openColor = require('open-color/open-color.json');

var _openColor2 = _interopRequireDefault(_openColor);

var _valueGetterFromArray = require('../utils/valueGetterFromArray');

var _valueGetterFromArray2 = _interopRequireDefault(_valueGetterFromArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var OpenColor = _openColor2.default;

var white = exports.white = function white(x) {
  return x == null ? OpenColor.white : 'rgba(255,255,255,' + x / 10 + ')';
};

var black = exports.black = function black(x) {
  return x == null ? OpenColor.black : 'rgba(0,0,0,' + x / 10 + ')';
};

var getColor = function getColor(c) {
  return (0, _valueGetterFromArray2.default)(OpenColor[c], OpenColor[c][5]);
};

var gray = exports.gray = getColor('gray');
var red = exports.red = getColor('red');
var pink = exports.pink = getColor('pink');
var grape = exports.grape = getColor('grape');
var violet = exports.violet = getColor('violet');
var indigo = exports.indigo = getColor('indigo');
var blue = exports.blue = getColor('blue');
var cyan = exports.cyan = getColor('cyan');
var teal = exports.teal = getColor('teal');
var green = exports.green = getColor('green');
var lime = exports.lime = getColor('lime');
var yellow = exports.yellow = getColor('yellow');
var orange = exports.orange = getColor('orange');