'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createValueGetter;

var _valueGetterFromArray = require('./valueGetterFromArray');

var _valueGetterFromArray2 = _interopRequireDefault(_valueGetterFromArray);

var _valueGetterFromObject = require('./valueGetterFromObject');

var _valueGetterFromObject2 = _interopRequireDefault(_valueGetterFromObject);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createValueGetter(array, obj, defaultValue) {
  var getValueFromArray = (0, _valueGetterFromArray2.default)(array);
  var getValueFromObject = (0, _valueGetterFromObject2.default)(obj);

  return function (x) {
    if (typeof x === 'number') {
      return getValueFromArray(x);
    } else if (typeof x === 'string') {
      return getValueFromObject(x);
    }

    if (defaultValue != null) {
      return defaultValue;
    }

    return getValueFromArray();
  };
}