'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function styleCreatorFromKey(key, suffixOrMapValue) {
  var mapValue = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : function (x) {
    return x;
  };

  return function (val) {
    var suffix = '';

    if (typeof suffixOrMapValue === 'string') {
      suffix = suffixOrMapValue;
    } else if (typeof suffixOrMapValue === 'function') {
      mapValue = suffixOrMapValue;
    }

    if (typeof val === 'number' || typeof val === 'string') {
      return _defineProperty({}, '' + key + suffix, mapValue(val));
    }

    var o = {};
    var vertical = val.vertical,
        horizontal = val.horizontal,
        top = val.top,
        bottom = val.bottom,
        left = val.left,
        right = val.right;


    if (vertical != null) {
      o[key + 'Top' + suffix] = mapValue(vertical);
      o[key + 'Bottom' + suffix] = mapValue(vertical);
    }
    if (horizontal != null) {
      o[key + 'Left' + suffix] = mapValue(horizontal);
      o[key + 'Right' + suffix] = mapValue(horizontal);
    }
    if (top != null) {
      o[key + 'Top' + suffix] = mapValue(top);
    }
    if (bottom != null) {
      o[key + 'Bottom' + suffix] = mapValue(bottom);
    }
    if (left != null) {
      o[key + 'Left' + suffix] = mapValue(left);
    }
    if (right != null) {
      o[key + 'Right' + suffix] = mapValue(right);
    }

    return o;
  };
}

exports.default = styleCreatorFromKey;