'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = valueGetterFromArray;
function valueGetterFromArray(array, defaultValue) {
  return function (x) {
    if (x == null && defaultValue != null) {
      return defaultValue;
    }

    if (x == null) {
      x = 0;
    }

    var sign = x < 0 ? -1 : 1;
    var i = Math.abs(x);
    var val = array[Math.min(i, array.length - 1)];

    // $FlowFixMe: https://github.com/facebook/flow/issues/2194#issuecomment-241290508
    return typeof val === 'number' ? val * sign : val;
  };
}